rpms/kdebase/devel kdebase-3.5.4-2-redhat.patch, NONE, 1.1 kdebase.spec, 1.217, 1.218 kdebase-3.5.4-1-redhat.patch, 1.1, NONE

fedora-cvs-commits at redhat.com fedora-cvs-commits at redhat.com
Fri Aug 25 12:16:38 UTC 2006


Author: than

Update of /cvs/dist/rpms/kdebase/devel
In directory cvs.devel.redhat.com:/tmp/cvs-serv3684

Modified Files:
	kdebase.spec 
Added Files:
	kdebase-3.5.4-2-redhat.patch 
Removed Files:
	kdebase-3.5.4-1-redhat.patch 
Log Message:
- fix #201507, pam config issue


kdebase-3.5.4-2-redhat.patch:
 kdebase-3.5.3/startkde |   66 +++++++++++++++++++++++++++++++++++++++++++------
 kdebase-3.5.4/kde.pamd |   14 +++++-----
 kdebase-3.5.4/startkde |   66 +++++++++++++++++++++++++++++++++++++++++++------
 3 files changed, 124 insertions(+), 22 deletions(-)

--- NEW FILE kdebase-3.5.4-2-redhat.patch ---
--- kdebase-3.5.4/kde.pamd.redhat	2005-09-10 10:26:16.000000000 +0200
+++ kdebase-3.5.4/kde.pamd	2006-08-25 14:15:02.000000000 +0200
@@ -1,7 +1,9 @@
 #%PAM-1.0
-auth       required	/lib/security/pam_pwdb.so shadow nullok
-auth       required	/lib/security/pam_nologin.so
-account    required	/lib/security/pam_pwdb.so
-password   required	/lib/security/pam_cracklib.so
-password   required	/lib/security/pam_pwdb.so shadow nullok use_authtok
-session    required	/lib/security/pam_pwdb.so
+auth       include     system-auth
+account    required	pam_nologin.so
+account    include     system-auth
+password   include     system-auth
+session    include	system-auth
+session    required    pam_loginuid.so
+session    optional    pam_selinux.so
+session    optional	pam_console.so
--- kdebase-3.5.4/startkde.redhat	2006-07-23 16:23:24.000000000 +0200
+++ kdebase-3.5.4/startkde	2006-08-23 12:35:17.000000000 +0200
@@ -1,8 +1,56 @@
 #!/bin/sh
 #
 #  DEFAULT KDE STARTUP SCRIPT ( KDE-3.5.4 )
+#  Modified for Red Hat Linux
 #
 
+unset BLOCK_SIZE # breaks parsing of df output
+shopt -u -o noclobber # allow overwriting of files with '>'
+
+# set up user environment if not present
+# check for space on /tmp and "$HOME" and for write access
+#  error exit, if not
+space_tmp=`LANG=C df /tmp | xargs | cut -d" " -f11`
+homedir_mount=`LANG=C df "$HOME" | xargs | cut -d" " -f8`
+
+if [ "$homedir_mount" = "AFS" -a -x "`which fs 2>/dev/null`" ] ; then
+    # check for AFS
+    space_home=`LANG=C fs df "$HOME" | xargs | cut -d" " -f10`
+else
+    # check regular mounts
+    space_home=`LANG=C df "$HOME" | xargs | cut -d" " -f11`
+fi
+
+if [ $space_tmp -lt 50 ]; then
+    echo $"Not enough free disk space on /tmp"
+    exit 1
+fi
+
+if [ $space_home -lt 25 ]; then
+    echo $"Not enough free disk space on "$HOME""
+    exit 1
+fi
+testfile_tmp=`mktemp /tmp/KDE.startkde.XXXXXX`
+testfile_home=`mktemp "$HOME"/KDE.startkde.XXXXXX`
+
+if ! echo TEST_TEXT >$testfile_tmp 2>/dev/null ; then
+    echo $"You don't have write permissions for /tmp"
+    exit 1
+fi
+rm -f $testfile_tmp
+
+if ! echo TEST_TEXT >$testfile_home 2>/dev/null ; then
+     echo $"You don't have write permissions for "$HOME""
+     exit 1
+fi
+rm -f $testfile_home
+
+[ -d "$HOME"/.kde/share/config ] || mkdir -p "$HOME"/.kde/share/config
+
+if [ ! -e "$HOME"/.kde/share/config/emaildefaults ]; then
+  /usr/bin/mailsettings >"$HOME"/.kde/share/config/emaildefaults
+fi
+
 # When the X server dies we get a HUP signal from xinit. We must ignore it
 # because we still need to do some cleanup.
 trap 'echo GOT SIGHUP' HUP
@@ -14,12 +62,12 @@
 	exit 1
 fi
 
-# Set the background to plain grey.
+# Set the background to the Red Hat default blue
 # The standard X background is nasty, causing moire effects and exploding
 # people's heads. We use colours from the standard KDE palette for those with
 # palettised displays.
 if test -z "$XDM_MANAGED" || echo "$XDM_MANAGED" | grep ",auto" > /dev/null; then
-  xsetroot -solid "#000000"
+  xsetroot -solid "#5477A0"
 fi
 
 # we have to unset this for Darwin since it will screw up KDE's dynamic-loading
@@ -61,7 +109,7 @@
 cat >$kdehome/share/config/startupconfigkeys <<EOF
 kcminputrc Mouse cursorTheme ''
 kcminputrc Mouse cursorSize ''
-kpersonalizerrc General FirstLogin true
+kpersonalizerrc General FirstLogin false
 ksplashrc KSplash Theme Default
 kcmrandrrc Display ApplyOnStartup false
 kcmrandrrc [Screen0]
@@ -132,8 +180,8 @@
     done
 fi
 
-# Source scripts found in <localprefix>/env/*.sh and <prefixes>/env/*.sh
-# (where <localprefix> is $KDEHOME or ~/.kde, and <prefixes> is where KDE is installed)
+# Source scripts found in <localprefix>/env/*.sh and /etc/kde/env/*.sh
+# (where <localprefix> is $KDEHOME or ~/.kde)
 #
 # This is where you can define environment variables that will be available to
 # all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
@@ -145,9 +193,10 @@
 # better use the Autostart folder.
 
 exepath=`kde-config --path exe | tr : '\n'`
+envpath=/etc/kde/env/
 
-for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'`; do
-  for file in "$prefix"*.sh; do
+for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'` $envpath ; do
+  for file in "$prefix"*.sh ; do
     test -r "$file" && . "$file"
   done
 done
@@ -337,7 +386,8 @@
 echo 'startkde: Running shutdown scripts...'  1>&2
 
 # Run scripts found in $KDEDIRS/shutdown
-for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'`; do
+shutdownpath=/etc/kde/shutdown/
+for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'` $shutdownpath; do
   for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do
     test -x "$prefix$file" && "$prefix$file"
   done
--- kdebase-3.5.3/startkde.redhat	2006-07-24 11:52:53.000000000 +0200
+++ kdebase-3.5.3/startkde	2006-07-24 11:55:19.000000000 +0200
@@ -1,8 +1,56 @@
 #!/bin/sh
 #
 #  DEFAULT KDE STARTUP SCRIPT ( KDE-3.5.4 )
+#  Modified for Red Hat Linux
 #
 
+unset BLOCK_SIZE # breaks parsing of df output
+shopt -u -o noclobber # allow overwriting of files with '>'
+
+# set up user environment if not present
+# check for space on /tmp and "$HOME" and for write access
+#  error exit, if not
+space_tmp=`LANG=C df /tmp | xargs | cut -d" " -f11`
+homedir_mount=`LANG=C df "$HOME" | xargs | cut -d" " -f8`
+
+if [ "$homedir_mount" = "AFS" -a -x "`which fs 2>/dev/null`" ] ; then
+    # check for AFS
+    space_home=`LANG=C fs df "$HOME" | xargs | cut -d" " -f10`
+else
+    # check regular mounts
+    space_home=`LANG=C df "$HOME" | xargs | cut -d" " -f11`
+fi
+
+if [ $space_tmp -lt 50 ]; then
+    echo $"Not enough free disk space on /tmp"
+    exit 1
+fi
+
+if [ $space_home -lt 25 ]; then
+    echo $"Not enough free disk space on "$HOME""
+    exit 1
+fi
+testfile_tmp=`mktemp /tmp/KDE.startkde.XXXXXX`
+testfile_home=`mktemp "$HOME"/KDE.startkde.XXXXXX`
+
+if ! echo TEST_TEXT >$testfile_tmp 2>/dev/null ; then
+    echo $"You don't have write permissions for /tmp"
+    exit 1
+fi
+rm -f $testfile_tmp
+
+if ! echo TEST_TEXT >$testfile_home 2>/dev/null ; then
+     echo $"You don't have write permissions for "$HOME""
+     exit 1
+fi
+rm -f $testfile_home
+
+[ -d "$HOME"/.kde/share/config ] || mkdir -p "$HOME"/.kde/share/config
+
+if [ ! -e "$HOME"/.kde/share/config/emaildefaults ]; then
+  /usr/bin/mailsettings >"$HOME"/.kde/share/config/emaildefaults
+fi
+
 # When the X server dies we get a HUP signal from xinit. We must ignore it
 # because we still need to do some cleanup.
 trap 'echo GOT SIGHUP' HUP
@@ -14,12 +62,12 @@
 	exit 1
 fi
 
-# Set the background to plain grey.
+# Set the background to the Red Hat default blue
 # The standard X background is nasty, causing moire effects and exploding
 # people's heads. We use colours from the standard KDE palette for those with
 # palettised displays.
 if test -z "$XDM_MANAGED" || echo "$XDM_MANAGED" | grep ",auto" > /dev/null; then
-  xsetroot -solid "#000000"
+  xsetroot -solid "#5477A0"
 fi
 
 # we have to unset this for Darwin since it will screw up KDE's dynamic-loading
@@ -61,7 +109,7 @@
 cat >$kdehome/share/config/startupconfigkeys <<EOF
 kcminputrc Mouse cursorTheme ''
 kcminputrc Mouse cursorSize ''
-kpersonalizerrc General FirstLogin true
+kpersonalizerrc General FirstLogin false
 ksplashrc KSplash Theme Default
 kcmrandrrc Display ApplyOnStartup false
 kcmrandrrc [Screen0]
@@ -132,8 +180,8 @@
     done
 fi
 
-# Source scripts found in <localprefix>/env/*.sh and <prefixes>/env/*.sh
-# (where <localprefix> is $KDEHOME or ~/.kde, and <prefixes> is where KDE is installed)
+# Source scripts found in <localprefix>/env/*.sh and /etc/kde/env/*.sh
+# (where <localprefix> is $KDEHOME or ~/.kde)
 #
 # This is where you can define environment variables that will be available to
 # all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
@@ -145,9 +193,10 @@
 # better use the Autostart folder.
 
 exepath=`kde-config --path exe | tr : '\n'`
+envpath=/etc/kde/env/
 
-for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'`; do
-  for file in "$prefix"*.sh; do
+for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'` $envpath ; do
+  for file in "$prefix"*.sh ; do
     test -r "$file" && . "$file"
   done
 done
@@ -337,7 +386,8 @@
 echo 'startkde: Running shutdown scripts...'  1>&2
 
 # Run scripts found in $KDEDIRS/shutdown
-for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'`; do
+shutdownpath=/etc/kde/shutdown/
+for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'` $shutdownpath; do
   for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do
     test -x "$prefix$file" && "$prefix$file"
   done


Index: kdebase.spec
===================================================================
RCS file: /cvs/dist/rpms/kdebase/devel/kdebase.spec,v
retrieving revision 1.217
retrieving revision 1.218
diff -u -r1.217 -r1.218
--- kdebase.spec	25 Aug 2006 10:44:39 -0000	1.217
+++ kdebase.spec	25 Aug 2006 12:16:36 -0000	1.218
@@ -35,7 +35,7 @@
 Source8: env.sh
 
 Patch200: kde-libtool.patch
-Patch1: kdebase-3.5.4-1-redhat.patch
+Patch1: kdebase-3.5.4-2-redhat.patch
 Patch2: kdebase-3.3.92-vroot.patch
 Patch3: kdebase-3.x-shortcuts.patch
 Patch4: kdebase-3.2.0-keymap.patch
@@ -547,6 +547,7 @@
 - add Requires: eject 
 - fix #203279, antialiasing issue
 - apply upstream patch to fix kdedesktop crash, kde#132873
+- fix #201507, pam config issue
 
 * Mon Aug 21 2006 Than Ngo <than at redhat.com> 6:3.5.4-4
 - fix #203221, konsole does not display bold characters


--- kdebase-3.5.4-1-redhat.patch DELETED ---




More information about the fedora-cvs-commits mailing list